Package org.apache.axiom.util.stax.wrapper

## Class XMLInputFactoryWrapper

- java.lang.Object
- - javax.xml.stream.XMLInputFactory
  - - org.apache.axiom.util.stax.wrapper.XMLInputFactoryWrapper

- Direct Known Subclasses:
    `ImmutableXMLInputFactory`, `WrappingXMLInputFactory`

      public class XMLInputFactoryWrapper
      extends XMLInputFactory

  Base class for `XMLInputFactory` wrappers. The class provides default implementations for all methods. Each of them calls the corresponding method in the parent factory.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.stream.XMLInputFactory

      `ALLOCATOR, IS_COALESCING, IS_NAMESPACE_AWARE, IS_REPLACING_ENTITY_REFERENCES, IS_SUPPORTING_EXTERNAL_ENTITIES, IS_VALIDATING, REPORTER, RESOLVER, SUPPORT_DTD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XMLInputFactoryWrapper​(XMLInputFactory parent)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `XMLEventReader` | `createFilteredReader​(XMLEventReader reader, EventFilter filter)` |
    `XMLStreamReader` | `createFilteredReader​(XMLStreamReader reader, StreamFilter filter)` |
    `XMLEventReader` | `createXMLEventReader​(InputStream stream)` |
    `XMLEventReader` | `createXMLEventReader​(InputStream stream, String encoding)` |
    `XMLEventReader` | `createXMLEventReader​(Reader reader)` |
    `XMLEventReader` | `createXMLEventReader​(String systemId, InputStream stream)` |
    `XMLEventReader` | `createXMLEventReader​(String systemId, Reader reader)` |
    `XMLEventReader` | `createXMLEventReader​(XMLStreamReader reader)` |
    `XMLEventReader` | `createXMLEventReader​(Source source)` |
    `XMLStreamReader` | `createXMLStreamReader​(InputStream stream)` |
    `XMLStreamReader` | `createXMLStreamReader​(InputStream stream, String encoding)` |
    `XMLStreamReader` | `createXMLStreamReader​(Reader reader)` |
    `XMLStreamReader` | `createXMLStreamReader​(String systemId, InputStream stream)` |
    `XMLStreamReader` | `createXMLStreamReader​(String systemId, Reader reader)` |
    `XMLStreamReader` | `createXMLStreamReader​(Source source)` |
    `XMLEventAllocator` | `getEventAllocator()` |
    `Object` | `getProperty​(String name)` |
    `XMLReporter` | `getXMLReporter()` |
    `XMLResolver` | `getXMLResolver()` |
    `boolean` | `isPropertySupported​(String name)` |
    `void` | `setEventAllocator​(XMLEventAllocator allocator)` |
    `void` | `setProperty​(String name, Object value)` |
    `void` | `setXMLReporter​(XMLReporter reporter)` |
    `void` | `setXMLResolver​(XMLResolver resolver)` |

    - ### Methods inherited from class javax.xml.stream.XMLInputFactory

      `newDefaultFactory, newFactory, newFactory, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLInputFactoryWrapper

          public XMLInputFactoryWrapper​(XMLInputFactory parent)

      Constructor.
      Parameters:
        `parent` - the parent factory

  - ### Method Detail

    - #### createFilteredReader

          public XMLEventReader createFilteredReader​(XMLEventReader reader,
                                                     EventFilter filter)
                                              throws XMLStreamException

      Specified by:
        `createFilteredReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createFilteredReader

          public XMLStreamReader createFilteredReader​(XMLStreamReader reader,
                                                      StreamFilter filter)
                                               throws XMLStreamException

      Specified by:
        `createFilteredReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventReader

          public XMLEventReader createXMLEventReader​(InputStream stream,
                                                     String encoding)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventReader

          public XMLEventReader createXMLEventReader​(InputStream stream)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventReader

          public XMLEventReader createXMLEventReader​(Reader reader)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventReader

          public XMLEventReader createXMLEventReader​(Source source)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventReader

          public XMLEventReader createXMLEventReader​(String systemId,
                                                     InputStream stream)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventReader

          public XMLEventReader createXMLEventReader​(String systemId,
                                                     Reader reader)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventReader

          public XMLEventReader createXMLEventReader​(XMLStreamReader reader)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamReader

          public XMLStreamReader createXMLStreamReader​(InputStream stream,
                                                       String encoding)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamReader

          public XMLStreamReader createXMLStreamReader​(InputStream stream)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamReader

          public XMLStreamReader createXMLStreamReader​(Reader reader)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamReader

          public XMLStreamReader createXMLStreamReader​(Source source)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamReader

          public XMLStreamReader createXMLStreamReader​(String systemId,
                                                       InputStream stream)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamReader

          public XMLStreamReader createXMLStreamReader​(String systemId,
                                                       Reader reader)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### getEventAllocator

          public XMLEventAllocator getEventAllocator()

      Specified by:
        `getEventAllocator` in class `XMLInputFactory`

    - #### getProperty

          public Object getProperty​(String name)
                             throws IllegalArgumentException

      Specified by:
        `getProperty` in class `XMLInputFactory`
      Throws:
        `IllegalArgumentException`

    - #### getXMLReporter

          public XMLReporter getXMLReporter()

      Specified by:
        `getXMLReporter` in class `XMLInputFactory`

    - #### getXMLResolver

          public XMLResolver getXMLResolver()

      Specified by:
        `getXMLResolver` in class `XMLInputFactory`

    - #### isPropertySupported

          public boolean isPropertySupported​(String name)

      Specified by:
        `isPropertySupported` in class `XMLInputFactory`

    - #### setEventAllocator

          public void setEventAllocator​(XMLEventAllocator allocator)

      Specified by:
        `setEventAllocator` in class `XMLInputFactory`

    - #### setProperty

          public void setProperty​(String name,
                                  Object value)
                           throws IllegalArgumentException

      Specified by:
        `setProperty` in class `XMLInputFactory`
      Throws:
        `IllegalArgumentException`

    - #### setXMLReporter

          public void setXMLReporter​(XMLReporter reporter)

      Specified by:
        `setXMLReporter` in class `XMLInputFactory`

    - #### setXMLResolver

          public void setXMLResolver​(XMLResolver resolver)

      Specified by:
        `setXMLResolver` in class `XMLInputFactory`